SAS directional hold overshoots significantly
Status: Updated Start date: 01/08/2015
Severity: Low % Done: 10%
Assignee:

Category: Controls and Ul

Target version:

Version: 0.90 Language: English (US)
Platform: Any Mod Related: No
Expansion:

Description

Version: 0.90.0.0 beta (build id = 00705), Linux 64-bit
Mods: none (never modded)

When using the directional (prograde, normal, etc.) hold feature of SAS, the ship overshoots its target significantly, and more
massive ships can oscillate around the target orientation several times before finally settling down.

For example:

1. Load the "Asteroid Redirect Mission: Ready to Capture" scenario.

2. Capture the asteroid.

3. With SAS active, select any of the directional targets, such as Normal. (The effect is more obvious if you first rotate to one
direction and then select the opposite direction.)

Expected behavior: Assuming the target orientation remains relatively constant, the ship should slow down its rotation as it
approaches the target orientation, so that it stops on or very close to the target.

Observed behavior: The ship overshoots its target by about 40%, and has to rotate back and forth several times until it stops going
outside the target marker shape on the nav-ball.

| can work around this by enabling time warp to instantly null out rotation at the right moment (and I'll admit that the current behavior
makes it faster to reach the target this way), but that feels sort of like cheating; it would be nice if SAS would get things right on its
own.

(I'm not sure "Controls" is the right category for this issue, but it seemed like the closest fit. Please adjust if necessary.)

Related issues:

Related to Kerbal Space Program - Feedback #13099: SAS Hold Extremely Difficu... Confirmed 10/24/2016
Related to Kerbal Space Program - Bug #13202: SAS ROLL not damping properly Duplicate 11/08/2016
History

#1 - 07/17/2016 09:27 AM - TriggerAu

- Status changed from New to Needs Clarification

#2 - 07/20/2016 10:55 AM - achurch
- Status changed from Needs Clarification to Updated
- % Done changed from 0 to 10

Still present in 1.1.3, though the oscillation isn't as bad as in 0.90 (it only overshoots or twice before reaching the target).

#3 - 11/11/2016 07:06 PM - sal_vager
- Related to Feedback #13099: SAS Hold Extremely Difficult With Wheel Authority Set To 1% added

#4 - 11/14/2016 12:20 PM - sal_vager
- Related to Bug #13202: SAS ROLL not damping properly added
